Loading...
Searching...
No Matches
ladspa::PortListStore::Columns Class Reference

`#include <ladspalist.h>`

Inheritance diagram for ladspa::PortListStore::Columns:

## Public Member Functions

| Columns ()

## Public Attributes

Gtk::TreeModelColumn< int > | pos
Gtk::TreeModelColumn< Glib::ustring > | name
Gtk::TreeModelColumn< Glib::ustring > | dflt
Gtk::TreeModelColumn< Glib::ustring > | low
Gtk::TreeModelColumn< Glib::ustring > | up
Gtk::TreeModelColumn< Glib::ustring > | step
Gtk::TreeModelColumn< Glib::ustring > | display
Gtk::TreeModelColumn< Glib::RefPtr< Gtk::ListStore > > | display_types
Gtk::TreeModelColumn< PortDesc * > | port
Gtk::TreeModelColumn< bool > | newrow
Gtk::TreeModelColumn< bool > | use_sr
Gtk::TreeModelColumn< bool > | has_caption

## Detailed Description

Definition at line 41 of file ladspalist.h.

## Constructor & Destructor Documentation

## Columns()

ladspa::PortListStore::Columns::Columns | ( |  | ) |

inline

Definition at line 55 of file ladspalist.h.

## Member Data Documentation

## dflt

Gtk::TreeModelColumn<Glib::ustring> ladspa::PortListStore::Columns::dflt

Definition at line 45 of file ladspalist.h.

Referenced by Columns().

## display

Gtk::TreeModelColumn<Glib::ustring> ladspa::PortListStore::Columns::display

Definition at line 49 of file ladspalist.h.

Referenced by Columns().

## display_types

Gtk::TreeModelColumn<Glib::RefPtr<Gtk::ListStore> > ladspa::PortListStore::Columns::display_types

Definition at line 50 of file ladspalist.h.

Referenced by Columns().

## has_caption

Gtk::TreeModelColumn<bool> ladspa::PortListStore::Columns::has_caption

Definition at line 54 of file ladspalist.h.

Referenced by Columns().

## low

Gtk::TreeModelColumn<Glib::ustring> ladspa::PortListStore::Columns::low

Definition at line 46 of file ladspalist.h.

Referenced by Columns().

## name

Gtk::TreeModelColumn<Glib::ustring> ladspa::PortListStore::Columns::name

Definition at line 44 of file ladspalist.h.

Referenced by Columns().

## newrow

Gtk::TreeModelColumn<bool> ladspa::PortListStore::Columns::newrow

Definition at line 52 of file ladspalist.h.

Referenced by Columns().

## port

Gtk::TreeModelColumn<PortDesc*> ladspa::PortListStore::Columns::port

Definition at line 51 of file ladspalist.h.

Referenced by Columns().

## pos

Gtk::TreeModelColumn<int> ladspa::PortListStore::Columns::pos

Definition at line 43 of file ladspalist.h.

Referenced by Columns().

## step

Gtk::TreeModelColumn<Glib::ustring> ladspa::PortListStore::Columns::step

Definition at line 48 of file ladspalist.h.

Referenced by Columns().

## up

Gtk::TreeModelColumn<Glib::ustring> ladspa::PortListStore::Columns::up

Definition at line 47 of file ladspalist.h.

Referenced by Columns().

## use_sr

Gtk::TreeModelColumn<bool> ladspa::PortListStore::Columns::use_sr

Definition at line 53 of file ladspalist.h.

Referenced by Columns().

The documentation for this class was generated from the following file:

- src/headers/ladspalist.h